#include <iostream>
#include <stdexcept>
#include <Ubitrack/Graph/UTQLReader.h>
#include <Ubitrack/Graph/UTQLDocument.h>

int main( int, char** )
{
	try
	{
		Ubitrack::Graph::UTQLReader::processInput( std::cin )->exportDot( std::cout );
	}
	catch ( std::exception& e )
	{
		std::cerr << "Error: " << e.what() << std::endl;
	}
	
	return 0;
}