#!/bin/bash

# Set classpath, it also has to contain the ubitrack wrapper jar
export CLASSPATH=".:../../../lib/ubitrack.jar"
# Set library path. It has to contain the native wrapper library as well as the ubitrack library along with its plugins
export DYLD_LIBRARY_PATH="../../../lib"

# (Re-)compile console application
javac console.java
# Invoke console application with sample dataflow configuration (works without any hardware) and register an application push sink for pattern with ID TestReceiver
java console ../../../doc/utql/examples/ExamplePushSink.xml TestReceiver
# Invoke console application with snowman marker tracker demo configuration 
#java console ../../../doc/utql/MarkerTrackerDemoResponse.xml
