#include "DataflowTest.h"

// declare external tests here, to save us some trivial header files
void TestPush();
void TestPull();
void TestPushPull();
void TestEventQueue();
void TestDynamicLoad();
void TestTriggerPorts();
void TestExpansionPorts();
void SimpleXmlDataflowTest();

DataflowTest::DataflowTest()
	: boost::unit_test::test_suite( "Dataflow test suite" )
{
	add( BOOST_TEST_CASE( &TestPush ) );
	add( BOOST_TEST_CASE( &TestPull ) );
	add( BOOST_TEST_CASE( &TestPushPull ) );
	add( BOOST_TEST_CASE( &TestEventQueue ) );
	add( BOOST_TEST_CASE( &TestDynamicLoad ) );
	add( BOOST_TEST_CASE( &TestTriggerPorts ) );
	add( BOOST_TEST_CASE( &TestExpansionPorts ) );
	add( BOOST_TEST_CASE( &SimpleXmlDataflowTest ) );
}
