#include "GraphTest.h"

// declare external tests here, to save us some trivial header files
void TestBasicGraph();
void TestPredicate();
void TestPattern();
void TestSRG();
void TestServer();

GraphTest::GraphTest()
	: boost::unit_test::test_suite( "Graph test suite" )
{
	add( BOOST_TEST_CASE( &TestBasicGraph ) );
	add( BOOST_TEST_CASE( &TestPredicate ) );
	add( BOOST_TEST_CASE( &TestSRG ) );
	add( BOOST_TEST_CASE( &TestServer ) );
}
