#ifdef _WIN32

#include <Ubitrack/Util/CleanWindows.h>
#include "easylase.win32.h"

HINSTANCE Handle;

tEasyLaseGetCardNum easyLaseGetCardNum = 0;
tEasyLaseGetStatus  easyLaseGetStatus  = 0;
tEasyLaseWriteFrame easyLaseWriteFrame = 0;
tEasyLaseCloseInt   easyLaseCloseInt   = 0;

void easyLaseInit()
{
	Handle = LoadLibrary(TEXT("easylase.dll"));

	easyLaseGetCardNum = (tEasyLaseGetCardNum) GetProcAddress( Handle, "EasyLaseGetCardNum" );
	easyLaseGetStatus  = (tEasyLaseGetStatus)  GetProcAddress( Handle, "EasyLaseGetStatus"  );
	easyLaseWriteFrame = (tEasyLaseWriteFrame) GetProcAddress( Handle, "EasyLaseWriteFrame" );
	easyLaseCloseInt   = (tEasyLaseCloseInt)   GetProcAddress( Handle, "EasyLaseClose"      );

	/*easyLaseGetDebugInfo = (tEasyLaseGetDebugInfo)GetProcAddress(Handle, "EasyLaseGetDebugInfo");
	easyLaseStop = (tEasyLaseStop)GetProcAddress(Handle, "EasyLaseStop");
	easyLaseWriteTTL = (tEasyLaseWriteTTL)GetProcAddress(Handle, "EasyLaseWriteTTL");
	easyLaseGetLastError = (tEasyLaseGetLastError)GetProcAddress(Handle, "EasyLaseGetLastError");
	easyLaseWriteDMX = (tEasyLaseWriteDMX)GetProcAddress(Handle, "EasyLaseWriteDMX");
	easyLaseGetDMX = (tEasyLaseGetDMX)GetProcAddress(Handle, "EasyLaseGetDMX");
	easyLaseDMXIn = (tEasyLaseDMXIn)GetProcAddress(Handle, "EasyLaseDMXIn");
	easyLaseDMXOut = (tEasyLaseDMXOut)GetProcAddress(Handle, "EasyLaseDMXOut");*/
}

bool easyLaseClose()
{
	FreeLibrary(Handle);
	return easyLaseCloseInt();
}

#endif

